Subject: [media-types] Templates for basic MIME types

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 23 Dec 2020 14:37:54 -0800

There are a number of media types registered by RFCs 2045 and 2046
implicitly (e.g., image/jpeg, image/gif).  The media type registry has
entries for them pointing at those two documents, but the documents never
actually present registration templates for any of them.

Just to make the record complete, I plan to send the reviewers a set of
registration templates for them.  I'll post them here as well in case
anyone wants to comment.

I presume we're fine with that approach, rather than requiring an RFC?

-MSK, ART AD

---

From: Martin J. Dürst <[email-masked]>
Date: Thu, 24 Dec 2020 09:08:45 +0900

> I presume we're fine with that approach, rather than requiring an RFC?

Very fine indeed, given that for 24 years, we were able to do even 
without the templates.

Regards,   Martin.

> -MSK, ART AD
> 
> 
> _______________________________________________
> media-types mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/media-types
>

---

From: Chris Lilley <[email-masked]>
Date: Thu, 24 Dec 2020 02:48:09 +0200

I'm happy to review any of the image media types.

On 2020-12-24 00:37, Murray S. Kucherawy wrote:
> implicitly (e.g., image/jpeg, image/gif).  The media type registry 
> has entries for them pointing at those two documents, but the 
> documents never actually present registration templates for any of them.
>
> Just to make the record complete, I plan to send the reviewers a set 
> of registration templates for them.  I'll post them here as well in 
> case anyone wants to comment.
>

-- 
Chris Lilley
@svgeesus
Technical Director @ W3C
W3C Strategy Team, Core Web Design
W3C Architecture & Technology Team, Core Web & Media

---

From: Eric Prud'hommeaux <[email-masked]>
Date: Fri, 25 Dec 2020 17:17:03 +0100

And I'll ask for sweeping changes that invalidate the billions of existing deployments...

Happy holidays, all!

On Thu, Dec 24, 2020 at 02:48:09AM +0200, Chris Lilley wrote:
> > entries for them pointing at those two documents, but the documents
> > never actually present registration templates for any of them.
> >

---

From: Mark Nottingham <[email-masked]>
Date: Sat, 26 Dec 2020 14:02:58 +1100

My understanding has always been that the registration template is a transient artefact, and is not required to be published. Why is there a need for this?

> On 26 Dec 2020, at 3:17 am, Eric Prud'hommeaux <[email-masked]> wrote:
> 

--
Mark Nottingham   https://www.mnot.net/

---

From: Ned Freed <[email-masked]>
Date: Fri, 25 Dec 2020 23:24:13 -0800 (PST)

> My understanding has always been that the registration template is a
> transient artefact, and is not required to be published. Why is there a need
> for this?

Quite right - there is no need for this activity.

Registration templates are a handy tool for collecting and submtting the 
information necessary for a registration, nothing more.

The actual publication requirements for media types are laid out in section
4.10 of RFC 6848. Templates aren't mentioned in that section.

Sometimes templates end up getting published - the IETF does it routinely. Some
other standards bodies do so as well, others do not.

It's also the case that more information required to register now than
in the past. But increased information requirements do not apply retroactively
to previously registered media types. (It should be obvious why this is the
case.)

Of course nothing precludes engaging in this activity. But like Mark, I don't
see any actual need. And if you really want to spend time on media types, there
are plenty of entirely missing types that would benefit from being registered.

				Ned

---

From: Eric Prud'hommeaux <[email-masked]>
Date: Mon, 28 Dec 2020 12:25:15 +0100

> information necessary for a registration, nothing more.

AFAICT, de facto media types include only the tree and the subtype
name, and references to specs ¹. Some of these specs may define some
parameters but the information isn't organized in a familiar way,
which means you have to dig way harder to find established consensus.

For instance, the two example media types, image/{jpeg,gif} are sort
of registered in RFC2046 but you can't look there to see if e.g.
image/jpeg can take an encoding parameter to switch between JFIF and
EXIF (after some annoying heuristics, it appears that it can't so
folks write EXIF + JFIF into JPEGs).

I read the proposal as offering to clarify that and all of the other
marvelous metadata (security, encoding, interop consideration and
fragment IDs) that has accumulated in the registration template over
the years ².

¹ https://www.iana.org/assignments/media-types/media-types.xhtml#image 
² https://www.iana.org/form/media-types

> to previously registered media types. (It should be obvious why this is the

True, we can't change the deployment, but it still may be worth
documenting it.

> are plenty of entirely missing types that would benefit from being registered.

I can imagine you are speaking either of

1 formats for which there is a specification (e.g. W3C XML Schema) and
  no corresponding media type (i.e. I have to inspect an
  application/xml document to know if it's XML Schema)

2 commonly-used media types that don't show up in the registry (no
  examples come to mind)

---

From: Chris Lilley <[email-masked]>
Date: Mon, 28 Dec 2020 14:19:08 +0200

Yes, that was my understanding too.

By modern standards, these original grandfathered types are way 
under-specified.

---

From: Ned Freed <[email-masked]>
Date: Mon, 28 Dec 2020 05:53:29 -0800 (PST)

> By modern standards, these original grandfathered types are way

Is this causing an actual problem somewhere? Because if not, I would
think the time to update these registrations is when the MIME specifications
themselves are updated - something that's supposed to happen after work on the
core email specifications are complete.

This work is currently undderway in the emailcore WG. You're welcome to
join and participate.

				Ned

---

From: Petter Reinholdtsen <[email-masked]>
Date: Mon, 28 Dec 2020 15:14:53 +0100

[Eric Prud'hommeaux]
> 2 commonly-used media types that don't show up in the registry (no

One example of the latter is patch types, which I tried to get
registered, but gave up based on the lack of feedback here. :)

There are also heaps of unregistered multimedia related MIME types, as
can be seen from
<URL: https://wiki.debian.org/DebianMultimedia/PlayerSupport >.

-- 
Happy hacking
Petter Reinholdtsen